/****************************************************************************
**
** Copyright (C) 2016 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of Qt for Python.
**
** $QT_BEGIN_LICENSE:LGPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 3 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL3 included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 3 requirements
** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 2.0 or (at your option) the GNU General
** Public license version 3 or any later version approved by the KDE Free
** Qt Foundation. The licenses are as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-2.0.html and
** https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

//workaround to access protected functions
#define protected public

// default includes
#include <shiboken.h>
#ifndef QT_NO_VERSION_TAGGING
#  define QT_NO_VERSION_TAGGING
#endif
#include <QDebug>
#include <pysidesignal.h>
#include <pysideproperty.h>
#include <pyside.h>
#include <pysideqenum.h>
#include <feature_select.h>
QT_WARNING_DISABLE_DEPRECATED

#include <typeinfo>
#include <iterator>

// module include
#include "pyside6_qtmultimedia_python.h"

// main header
#include "qvideoframeformat_wrapper.h"

// inner classes

// Extra includes
#include <QtGui/qmatrix4x4.h>
#include <QtMultimedia/qvideoframe.h>
#include <QtMultimedia/qvideoframeformat.h>
#include <qbytearray.h>
#include <qrect.h>
#include <qsize.h>


#include <cctype>
#include <cstring>



template <class T>
static const char *typeNameOf(const T &t)
{
    const char *typeName =  typeid(t).name();
    auto size = std::strlen(typeName);
#if defined(Q_CC_MSVC) // MSVC: "class QPaintDevice * __ptr64"
    if (auto lastStar = strchr(typeName, '*')) {
        // MSVC: "class QPaintDevice * __ptr64"
        while (*--lastStar == ' ') {
        }
        size = lastStar - typeName + 1;
    }
#else // g++, Clang: "QPaintDevice *" -> "P12QPaintDevice"
    if (size > 2 && typeName[0] == 'P' && std::isdigit(typeName[1])) {
        ++typeName;
        --size;
    }
#endif
    char *result = new char[size + 1];
    result[size] = '\0';
    memcpy(result, typeName, size);
    return result;
}


// Target ---------------------------------------------------------

extern "C" {
static int
Sbk_QVideoFrameFormat_Init(PyObject *self, PyObject *args, PyObject *kwds)
{
    SbkObject *sbkSelf = reinterpret_cast<SbkObject *>(self);
    PySide::Feature::Select(self);
    if (Shiboken::Object::isUserType(self) && !Shiboken::ObjectType::canCallConstructor(self->ob_type, Shiboken::SbkType< ::QVideoFrameFormat >()))
        return -1;

    ::QVideoFrameFormat *cptr{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.__init__";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp[2];
    SBK_UNUSED(pythonToCpp)
    const Py_ssize_t numArgs = PyTuple_GET_SIZE(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {0, 0};

    // invalid argument lengths


    if (!PyArg_UnpackTuple(args, "QVideoFrameFormat", 0, 2, &(pyArgs[0]), &(pyArgs[1])))
        return -1;


    // Overloaded function decisor
    // 0: QVideoFrameFormat::QVideoFrameFormat()
    // 1: QVideoFrameFormat::QVideoFrameFormat(QSize,QVideoFrameFormat::PixelFormat)
    // 2: QVideoFrameFormat::QVideoFrameFormat(QVideoFrameFormat)
    if (numArgs == 0) {
        overloadId = 0; // QVideoFrameFormat()
    } else if (numArgs == 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], (pyArgs[0])))) {
        overloadId = 2; // QVideoFrameFormat(QVideoFrameFormat)
    } else if (numArgs == 2
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QSIZE_IDX], (pyArgs[0])))
        && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX]))->converter, (pyArgs[1])))) {
        overloadId = 1; // QVideoFrameFormat(QSize,QVideoFrameFormat::PixelFormat)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormat_Init_TypeError;

    // Call function/method
    switch (overloadId) {
        case 0: // QVideoFrameFormat()
        {

            if (!PyErr_Occurred()) {
                // QVideoFrameFormat()
                cptr = new ::QVideoFrameFormat();
            }
            break;
        }
        case 1: // QVideoFrameFormat(const QSize & size, QVideoFrameFormat::PixelFormat pixelFormat)
        {
            if (!Shiboken::Object::isValid(pyArgs[0]))
                return -1;
            ::QSize cppArg0_local;
            ::QSize *cppArg0 = &cppArg0_local;
            if (pythonToCpp[0].isValue())
                pythonToCpp[0](pyArgs[0], &cppArg0_local);
            else
                pythonToCpp[0](pyArgs[0], &cppArg0);

            ::QVideoFrameFormat::PixelFormat cppArg1{QVideoFrameFormat::Format_Invalid};
            pythonToCpp[1](pyArgs[1], &cppArg1);

            if (!PyErr_Occurred()) {
                // QVideoFrameFormat(QSize,QVideoFrameFormat::PixelFormat)
                cptr = new ::QVideoFrameFormat(*cppArg0, cppArg1);
            }
            break;
        }
        case 2: // QVideoFrameFormat(const QVideoFrameFormat & format)
        {
            if (!Shiboken::Object::isValid(pyArgs[0]))
                return -1;
            ::QVideoFrameFormat cppArg0_local;
            ::QVideoFrameFormat *cppArg0 = &cppArg0_local;
            if (pythonToCpp[0].isValue())
                pythonToCpp[0](pyArgs[0], &cppArg0_local);
            else
                pythonToCpp[0](pyArgs[0], &cppArg0);


            if (!PyErr_Occurred()) {
                // QVideoFrameFormat(QVideoFrameFormat)
                cptr = new ::QVideoFrameFormat(*cppArg0);
            }
            break;
        }
    }

    if (PyErr_Occurred() || !Shiboken::Object::setCppPointer(sbkSelf, Shiboken::SbkType< ::QVideoFrameFormat >(), cptr)) {
        delete cptr;
        return -1;
    }
    if (!cptr) goto Sbk_QVideoFrameFormat_Init_TypeError;

    Shiboken::Object::setValidCpp(sbkSelf, true);
    if (Shiboken::BindingManager::instance().hasWrapper(cptr)) {
        Shiboken::BindingManager::instance().releaseWrapper(Shiboken::BindingManager::instance().retrieveWrapper(cptr));
    }
    Shiboken::BindingManager::instance().registerWrapper(sbkSelf, cptr);


    return 1;

    Sbk_QVideoFrameFormat_Init_TypeError:
        Shiboken::setErrorAboutWrongArguments(args, fullName, errInfo);
        return -1;
}

static PyObject *Sbk_QVideoFrameFormatFunc_fragmentShaderFileName(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.fragmentShaderFileName";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // fragmentShaderFileName()const
            QString cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->fragmentShaderFileName();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_frameHeight(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.frameHeight";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // frameHeight()const
            int cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->frameHeight();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<int>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_frameRate(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.frameRate";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // frameRate()const
            qreal cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->frameRate();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<qreal>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_frameSize(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.frameSize";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // frameSize()const
            QSize cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->frameSize();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypes[SBK_QSIZE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_frameWidth(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.frameWidth";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // frameWidth()const
            int cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->frameWidth();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<int>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_imageFormatFromPixelFormat(PyObject *self, PyObject *pyArg)
{
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.imageFormatFromPixelFormat";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: static QVideoFrameFormat::imageFormatFromPixelFormat(QVideoFrameFormat::PixelFormat)->QImage::Format
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX]))->converter, (pyArg)))) {
        overloadId = 0; // imageFormatFromPixelFormat(QVideoFrameFormat::PixelFormat)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_imageFormatFromPixelFormat_TypeError;

    // Call function/method
    {
        ::QVideoFrameFormat::PixelFormat cppArg0{QVideoFrameFormat::Format_Invalid};
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // imageFormatFromPixelFormat(QVideoFrameFormat::PixelFormat)
            QImage::Format cppResult = ::QVideoFrameFormat::imageFormatFromPixelFormat(cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtGuiTypes[SBK_QIMAGE_FORMAT_IDX]))->converter, &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QVideoFrameFormatFunc_imageFormatFromPixelFormat_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_isMirrored(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.isMirrored";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // isMirrored()const
            bool cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->isMirrored();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_isValid(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.isValid";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // isValid()const
            bool cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->isValid();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_pixelFormat(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.pixelFormat";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // pixelFormat()const
            QVideoFrameFormat::PixelFormat cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->pixelFormat();
            pyResult = Shiboken::Conversions::copyToPython(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX]))->converter, &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_pixelFormatFromImageFormat(PyObject *self, PyObject *pyArg)
{
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.pixelFormatFromImageFormat";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: static QVideoFrameFormat::pixelFormatFromImageFormat(QImage::Format)->QVideoFrameFormat::PixelFormat
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtGuiTypes[SBK_QIMAGE_FORMAT_IDX]))->converter, (pyArg)))) {
        overloadId = 0; // pixelFormatFromImageFormat(QImage::Format)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_pixelFormatFromImageFormat_TypeError;

    // Call function/method
    {
        ::QImage::Format cppArg0{QImage::Format_Invalid};
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // pixelFormatFromImageFormat(QImage::Format)
            QVideoFrameFormat::PixelFormat cppResult = ::QVideoFrameFormat::pixelFormatFromImageFormat(cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX]))->converter, &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QVideoFrameFormatFunc_pixelFormatFromImageFormat_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_pixelFormatToString(PyObject *self, PyObject *pyArg)
{
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.pixelFormatToString";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: static QVideoFrameFormat::pixelFormatToString(QVideoFrameFormat::PixelFormat)->QString
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX]))->converter, (pyArg)))) {
        overloadId = 0; // pixelFormatToString(QVideoFrameFormat::PixelFormat)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_pixelFormatToString_TypeError;

    // Call function/method
    {
        ::QVideoFrameFormat::PixelFormat cppArg0{QVideoFrameFormat::Format_Invalid};
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // pixelFormatToString(QVideoFrameFormat::PixelFormat)
            QString cppResult = ::QVideoFrameFormat::pixelFormatToString(cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QVideoFrameFormatFunc_pixelFormatToString_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_planeCount(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.planeCount";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // planeCount()const
            int cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->planeCount();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<int>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_scanLineDirection(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.scanLineDirection";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // scanLineDirection()const
            QVideoFrameFormat::Direction cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->scanLineDirection();
            pyResult = Shiboken::Conversions::copyToPython(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_DIRECTION_IDX]))->converter, &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_setFrameRate(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.setFrameRate";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QVideoFrameFormat::setFrameRate(qreal)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<qreal>(), (pyArg)))) {
        overloadId = 0; // setFrameRate(qreal)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_setFrameRate_TypeError;

    // Call function/method
    {
        qreal cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // setFrameRate(qreal)
            cppSelf->setFrameRate(cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QVideoFrameFormatFunc_setFrameRate_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_setFrameSize(PyObject *self, PyObject *args)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.setFrameSize";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp[2];
    SBK_UNUSED(pythonToCpp)
    const Py_ssize_t numArgs = PyTuple_GET_SIZE(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {0, 0};

    // invalid argument lengths


    if (!PyArg_UnpackTuple(args, "setFrameSize", 1, 2, &(pyArgs[0]), &(pyArgs[1])))
        return {};


    // Overloaded function decisor
    // 0: QVideoFrameFormat::setFrameSize(QSize)
    // 1: QVideoFrameFormat::setFrameSize(int,int)
    if (numArgs == 2
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<int>(), (pyArgs[0])))
        && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<int>(), (pyArgs[1])))) {
        overloadId = 1; // setFrameSize(int,int)
    } else if (numArgs == 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QSIZE_IDX], (pyArgs[0])))) {
        overloadId = 0; // setFrameSize(QSize)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_setFrameSize_TypeError;

    // Call function/method
    switch (overloadId) {
        case 0: // setFrameSize(const QSize & size)
        {
            if (!Shiboken::Object::isValid(pyArgs[0]))
                return {};
            ::QSize cppArg0_local;
            ::QSize *cppArg0 = &cppArg0_local;
            if (pythonToCpp[0].isValue())
                pythonToCpp[0](pyArgs[0], &cppArg0_local);
            else
                pythonToCpp[0](pyArgs[0], &cppArg0);


            if (!PyErr_Occurred()) {
                // setFrameSize(QSize)
                cppSelf->setFrameSize(*cppArg0);
            }
            break;
        }
        case 1: // setFrameSize(int width, int height)
        {
            int cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);
            int cppArg1;
            pythonToCpp[1](pyArgs[1], &cppArg1);

            if (!PyErr_Occurred()) {
                // setFrameSize(int,int)
                cppSelf->setFrameSize(cppArg0, cppArg1);
            }
            break;
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QVideoFrameFormatFunc_setFrameSize_TypeError:
        Shiboken::setErrorAboutWrongArguments(args, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_setMirrored(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.setMirrored";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QVideoFrameFormat::setMirrored(bool)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), (pyArg)))) {
        overloadId = 0; // setMirrored(bool)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_setMirrored_TypeError;

    // Call function/method
    {
        bool cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // setMirrored(bool)
            cppSelf->setMirrored(cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QVideoFrameFormatFunc_setMirrored_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_setScanLineDirection(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.setScanLineDirection";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QVideoFrameFormat::setScanLineDirection(QVideoFrameFormat::Direction)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_DIRECTION_IDX]))->converter, (pyArg)))) {
        overloadId = 0; // setScanLineDirection(QVideoFrameFormat::Direction)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_setScanLineDirection_TypeError;

    // Call function/method
    {
        ::QVideoFrameFormat::Direction cppArg0{QVideoFrameFormat::TopToBottom};
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // setScanLineDirection(QVideoFrameFormat::Direction)
            cppSelf->setScanLineDirection(cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QVideoFrameFormatFunc_setScanLineDirection_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_setViewport(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.setViewport";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QVideoFrameFormat::setViewport(QRect)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QRECT_IDX], (pyArg)))) {
        overloadId = 0; // setViewport(QRect)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_setViewport_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QRect cppArg0_local;
        ::QRect *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // setViewport(QRect)
            cppSelf->setViewport(*cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QVideoFrameFormatFunc_setViewport_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_setYCbCrColorSpace(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.setYCbCrColorSpace";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QVideoFrameFormat::setYCbCrColorSpace(QVideoFrameFormat::YCbCrColorSpace)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX]))->converter, (pyArg)))) {
        overloadId = 0; // setYCbCrColorSpace(QVideoFrameFormat::YCbCrColorSpace)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_setYCbCrColorSpace_TypeError;

    // Call function/method
    {
        ::QVideoFrameFormat::YCbCrColorSpace cppArg0{QVideoFrameFormat::YCbCr_Undefined};
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // setYCbCrColorSpace(QVideoFrameFormat::YCbCrColorSpace)
            cppSelf->setYCbCrColorSpace(cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QVideoFrameFormatFunc_setYCbCrColorSpace_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_swap(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.swap";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QVideoFrameFormat::swap(QVideoFrameFormat&)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], (pyArg)))) {
        overloadId = 0; // swap(QVideoFrameFormat&)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_swap_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QVideoFrameFormat cppArg0_local;
        ::QVideoFrameFormat *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // swap(QVideoFrameFormat&)
            cppSelf->swap(*cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QVideoFrameFormatFunc_swap_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_updateUniformData(PyObject *self, PyObject *args)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.updateUniformData";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp[4];
    SBK_UNUSED(pythonToCpp)
    const Py_ssize_t numArgs = PyTuple_GET_SIZE(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {0, 0, 0, 0};

    // invalid argument lengths


    if (!PyArg_UnpackTuple(args, "updateUniformData", 4, 4, &(pyArgs[0]), &(pyArgs[1]), &(pyArgs[2]), &(pyArgs[3])))
        return {};


    // Overloaded function decisor
    // 0: QVideoFrameFormat::updateUniformData(QByteArray*,QVideoFrame,QMatrix4x4,float)const
    if (numArgs == 4
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppPointerConversion(SbkPySide6_QtCoreTypes[SBK_QBYTEARRAY_IDX], (pyArgs[0])))
        && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAME_IDX], (pyArgs[1])))
        && (pythonToCpp[2] = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtGuiTypes[SBK_QMATRIX4X4_IDX], (pyArgs[2])))
        && (pythonToCpp[3] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<float>(), (pyArgs[3])))) {
        overloadId = 0; // updateUniformData(QByteArray*,QVideoFrame,QMatrix4x4,float)const
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QVideoFrameFormatFunc_updateUniformData_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArgs[0]))
            return {};
        ::QByteArray *cppArg0;
        pythonToCpp[0](pyArgs[0], &cppArg0);
        if (!Shiboken::Object::isValid(pyArgs[1]))
            return {};
        ::QVideoFrame cppArg1_local;
        ::QVideoFrame *cppArg1 = &cppArg1_local;
        if (pythonToCpp[1].isValue())
            pythonToCpp[1](pyArgs[1], &cppArg1_local);
        else
            pythonToCpp[1](pyArgs[1], &cppArg1);

        if (!Shiboken::Object::isValid(pyArgs[2]))
            return {};
        ::QMatrix4x4 cppArg2_local;
        ::QMatrix4x4 *cppArg2 = &cppArg2_local;
        if (pythonToCpp[2].isValue())
            pythonToCpp[2](pyArgs[2], &cppArg2_local);
        else
            pythonToCpp[2](pyArgs[2], &cppArg2);

        float cppArg3;
        pythonToCpp[3](pyArgs[3], &cppArg3);

        if (!PyErr_Occurred()) {
            // updateUniformData(QByteArray*,QVideoFrame,QMatrix4x4,float)const
            const_cast<const ::QVideoFrameFormat *>(cppSelf)->updateUniformData(cppArg0, *cppArg1, *cppArg2, cppArg3);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QVideoFrameFormatFunc_updateUniformData_TypeError:
        Shiboken::setErrorAboutWrongArguments(args, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QVideoFrameFormatFunc_vertexShaderFileName(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.vertexShaderFileName";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // vertexShaderFileName()const
            QString cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->vertexShaderFileName();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_viewport(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.viewport";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // viewport()const
            QRect cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->viewport();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypes[SBK_QRECT_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormatFunc_yCbCrColorSpace(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtMultimedia.QVideoFrameFormat.yCbCrColorSpace";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // yCbCrColorSpace()const
            QVideoFrameFormat::YCbCrColorSpace cppResult = const_cast<const ::QVideoFrameFormat *>(cppSelf)->yCbCrColorSpace();
            pyResult = Shiboken::Conversions::copyToPython(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX]))->converter, &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QVideoFrameFormat___copy__(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto &cppSelf = *reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], &cppSelf);
    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}


static const char *Sbk_QVideoFrameFormat_PropertyStrings[] = {
    nullptr // Sentinel
};

static PyMethodDef Sbk_QVideoFrameFormat_methods[] = {
    {"fragmentShaderFileName", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_fragmentShaderFileName), METH_NOARGS},
    {"frameHeight", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_frameHeight), METH_NOARGS},
    {"frameRate", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_frameRate), METH_NOARGS},
    {"frameSize", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_frameSize), METH_NOARGS},
    {"frameWidth", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_frameWidth), METH_NOARGS},
    {"imageFormatFromPixelFormat", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_imageFormatFromPixelFormat), METH_O|METH_STATIC},
    {"isMirrored", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_isMirrored), METH_NOARGS},
    {"isValid", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_isValid), METH_NOARGS},
    {"pixelFormat", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_pixelFormat), METH_NOARGS},
    {"pixelFormatFromImageFormat", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_pixelFormatFromImageFormat), METH_O|METH_STATIC},
    {"pixelFormatToString", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_pixelFormatToString), METH_O|METH_STATIC},
    {"planeCount", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_planeCount), METH_NOARGS},
    {"scanLineDirection", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_scanLineDirection), METH_NOARGS},
    {"setFrameRate", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_setFrameRate), METH_O},
    {"setFrameSize", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_setFrameSize), METH_VARARGS},
    {"setMirrored", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_setMirrored), METH_O},
    {"setScanLineDirection", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_setScanLineDirection), METH_O},
    {"setViewport", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_setViewport), METH_O},
    {"setYCbCrColorSpace", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_setYCbCrColorSpace), METH_O},
    {"swap", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_swap), METH_O},
    {"updateUniformData", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_updateUniformData), METH_VARARGS},
    {"vertexShaderFileName", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_vertexShaderFileName), METH_NOARGS},
    {"viewport", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_viewport), METH_NOARGS},
    {"yCbCrColorSpace", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormatFunc_yCbCrColorSpace), METH_NOARGS},

    {"__copy__", reinterpret_cast<PyCFunction>(Sbk_QVideoFrameFormat___copy__), METH_NOARGS},
    {nullptr, nullptr} // Sentinel
};

// Rich comparison
static PyObject * Sbk_QVideoFrameFormat_richcompare(PyObject *self, PyObject *pyArg, int op)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto &cppSelf = *reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    switch (op) {
        case Py_NE:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], (pyArg)))) {
                // operator!=(const QVideoFrameFormat & format) const
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::QVideoFrameFormat cppArg0_local;
                ::QVideoFrameFormat *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf !=(*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                pyResult = Py_True;
                Py_INCREF(pyResult);
            }

            break;
        case Py_EQ:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], (pyArg)))) {
                // operator==(const QVideoFrameFormat & format) const
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::QVideoFrameFormat cppArg0_local;
                ::QVideoFrameFormat *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf ==(*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                pyResult = Py_False;
                Py_INCREF(pyResult);
            }

            break;
        default:
            // PYSIDE-74: By default, we redirect to object's tp_richcompare (which is `==`, `!=`).
            return FallbackRichCompare(self, pyArg, op);
            goto Sbk_QVideoFrameFormat_RichComparison_TypeError;
    }

    if (pyResult && !PyErr_Occurred())
        return pyResult;
    Sbk_QVideoFrameFormat_RichComparison_TypeError:
    PyErr_SetString(PyExc_NotImplementedError, "operator not implemented.");
    return {};

}

} // extern "C"

static int Sbk_QVideoFrameFormat_traverse(PyObject *self, visitproc visit, void *arg)
{
    return SbkObject_TypeF()->tp_traverse(self, visit, arg);
}
static int Sbk_QVideoFrameFormat_clear(PyObject *self)
{
    return reinterpret_cast<PyTypeObject *>(SbkObject_TypeF())->tp_clear(self);
}
extern "C"
{
static PyObject *Sbk_QVideoFrameFormat__repr__(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    QBuffer buffer;
    buffer.open(QBuffer::ReadWrite);
    QDebug dbg(&buffer);
    dbg << *cppSelf;
    buffer.close();
    QByteArray str = buffer.data();
    int idx = str.indexOf('(');
    if (idx >= 0)
        str.replace(0, idx, Py_TYPE(self)->tp_name);
    str = str.trimmed();
    PyObject *mod = PyDict_GetItem(Py_TYPE(self)->tp_dict, Shiboken::PyMagicName::module());
    if (mod && !strchr(str, '.'))
        return Shiboken::String::fromFormat("<%s.%s at %p>", Shiboken::String::toCString(mod), str.constData(), self);
    else
        return Shiboken::String::fromFormat("<%s at %p>", str.constData(), self);
}
} // extern C

// Class Definition -----------------------------------------------
extern "C" {
static PyTypeObject *_Sbk_QVideoFrameFormat_Type = nullptr;
static PyTypeObject *Sbk_QVideoFrameFormat_TypeF(void)
{
    return _Sbk_QVideoFrameFormat_Type;
}

static PyType_Slot Sbk_QVideoFrameFormat_slots[] = {
    {Py_tp_base,        nullptr}, // inserted by introduceWrapperType
    {Py_tp_dealloc,     reinterpret_cast<void *>(&SbkDeallocWrapper)},
    {Py_tp_repr,        reinterpret_cast<void *>(Sbk_QVideoFrameFormat__repr__)},
    {Py_tp_hash,        nullptr},
    {Py_tp_call,        nullptr},
    {Py_tp_str,         nullptr},
    {Py_tp_getattro,    nullptr},
    {Py_tp_setattro,    nullptr},
    {Py_tp_traverse,    reinterpret_cast<void *>(Sbk_QVideoFrameFormat_traverse)},
    {Py_tp_clear,       reinterpret_cast<void *>(Sbk_QVideoFrameFormat_clear)},
    {Py_tp_richcompare, reinterpret_cast<void *>(Sbk_QVideoFrameFormat_richcompare)},
    {Py_tp_iter,        nullptr},
    {Py_tp_iternext,    nullptr},
    {Py_tp_methods,     reinterpret_cast<void *>(Sbk_QVideoFrameFormat_methods)},
    {Py_tp_getset,      nullptr},
    {Py_tp_init,        reinterpret_cast<void *>(Sbk_QVideoFrameFormat_Init)},
    {Py_tp_new,         reinterpret_cast<void *>(SbkObjectTpNew)},
    {0, nullptr}
};
static PyType_Spec Sbk_QVideoFrameFormat_spec = {
    "2:PySide6.QtMultimedia.QVideoFrameFormat",
    sizeof(SbkObject),
    0,
    Py_TPFLAGS_DEFAULT|Py_TPFLAGS_BASETYPE|Py_TPFLAGS_HAVE_GC,
    Sbk_QVideoFrameFormat_slots
};

} //extern "C"


// Type conversion functions.

// Python to C++ enum conversion.
static void QVideoFrameFormat_PixelFormat_PythonToCpp_QVideoFrameFormat_PixelFormat(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QVideoFrameFormat::PixelFormat *>(cppOut) =
        static_cast<::QVideoFrameFormat::PixelFormat>(Shiboken::Enum::getValue(pyIn));

}
static PythonToCppFunc is_QVideoFrameFormat_PixelFormat_PythonToCpp_QVideoFrameFormat_PixelFormat_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX]))
        return QVideoFrameFormat_PixelFormat_PythonToCpp_QVideoFrameFormat_PixelFormat;
    return {};
}
static PyObject *QVideoFrameFormat_PixelFormat_CppToPython_QVideoFrameFormat_PixelFormat(const void *cppIn)
{
    const int castCppIn = int(*reinterpret_cast<const ::QVideoFrameFormat::PixelFormat *>(cppIn));
    return Shiboken::Enum::newItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX], castCppIn);

}

static void QVideoFrameFormat_Direction_PythonToCpp_QVideoFrameFormat_Direction(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QVideoFrameFormat::Direction *>(cppOut) =
        static_cast<::QVideoFrameFormat::Direction>(Shiboken::Enum::getValue(pyIn));

}
static PythonToCppFunc is_QVideoFrameFormat_Direction_PythonToCpp_QVideoFrameFormat_Direction_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_DIRECTION_IDX]))
        return QVideoFrameFormat_Direction_PythonToCpp_QVideoFrameFormat_Direction;
    return {};
}
static PyObject *QVideoFrameFormat_Direction_CppToPython_QVideoFrameFormat_Direction(const void *cppIn)
{
    const int castCppIn = int(*reinterpret_cast<const ::QVideoFrameFormat::Direction *>(cppIn));
    return Shiboken::Enum::newItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_DIRECTION_IDX], castCppIn);

}

static void QVideoFrameFormat_YCbCrColorSpace_PythonToCpp_QVideoFrameFormat_YCbCrColorSpace(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QVideoFrameFormat::YCbCrColorSpace *>(cppOut) =
        static_cast<::QVideoFrameFormat::YCbCrColorSpace>(Shiboken::Enum::getValue(pyIn));

}
static PythonToCppFunc is_QVideoFrameFormat_YCbCrColorSpace_PythonToCpp_QVideoFrameFormat_YCbCrColorSpace_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX]))
        return QVideoFrameFormat_YCbCrColorSpace_PythonToCpp_QVideoFrameFormat_YCbCrColorSpace;
    return {};
}
static PyObject *QVideoFrameFormat_YCbCrColorSpace_CppToPython_QVideoFrameFormat_YCbCrColorSpace(const void *cppIn)
{
    const int castCppIn = int(*reinterpret_cast<const ::QVideoFrameFormat::YCbCrColorSpace *>(cppIn));
    return Shiboken::Enum::newItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX], castCppIn);

}

// Python to C++ pointer conversion - returns the C++ object of the Python wrapper (keeps object identity).
static void QVideoFrameFormat_PythonToCpp_QVideoFrameFormat_PTR(PyObject *pyIn, void *cppOut)
{
    Shiboken::Conversions::pythonToCppPointer(Sbk_QVideoFrameFormat_TypeF(), pyIn, cppOut);
}
static PythonToCppFunc is_QVideoFrameFormat_PythonToCpp_QVideoFrameFormat_PTR_Convertible(PyObject *pyIn)
{
    if (pyIn == Py_None)
        return Shiboken::Conversions::nonePythonToCppNullPtr;
    if (PyObject_TypeCheck(pyIn, reinterpret_cast<PyTypeObject *>(Sbk_QVideoFrameFormat_TypeF())))
        return QVideoFrameFormat_PythonToCpp_QVideoFrameFormat_PTR;
    return {};
}

// C++ to Python pointer conversion - tries to find the Python wrapper for the C++ object (keeps object identity).
static PyObject *QVideoFrameFormat_PTR_CppToPython_QVideoFrameFormat(const void *cppIn)
{
    auto pyOut = reinterpret_cast<PyObject *>(Shiboken::BindingManager::instance().retrieveWrapper(cppIn));
    if (pyOut) {
        Py_INCREF(pyOut);
        return pyOut;
    }
    bool changedTypeName = false;
    auto tCppIn = reinterpret_cast<const ::QVideoFrameFormat *>(cppIn);
    const char *typeName = typeid(*tCppIn).name();
    auto sbkType = Shiboken::ObjectType::typeForTypeName(typeName);
    if (sbkType && Shiboken::ObjectType::hasSpecialCastFunction(sbkType)) {
        typeName = typeNameOf(tCppIn);
        changedTypeName = true;
    }
    PyObject *result = Shiboken::Object::newObject(Sbk_QVideoFrameFormat_TypeF(), const_cast<void *>(cppIn), false, /* exactType */ changedTypeName, typeName);
    if (changedTypeName)
        delete [] typeName;
    return result;
}

// C++ to Python copy conversion.
static PyObject *QVideoFrameFormat_COPY_CppToPython_QVideoFrameFormat(const void *cppIn)
{
    return Shiboken::Object::newObject(Sbk_QVideoFrameFormat_TypeF(), new ::QVideoFrameFormat(*reinterpret_cast<const ::QVideoFrameFormat *>(cppIn)), true, true);
}

// Python to C++ copy conversion.
static void QVideoFrameFormat_PythonToCpp_QVideoFrameFormat_COPY(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QVideoFrameFormat *>(cppOut) = *reinterpret_cast< ::QVideoFrameFormat *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX], reinterpret_cast<SbkObject *>(pyIn)));
}
static PythonToCppFunc is_QVideoFrameFormat_PythonToCpp_QVideoFrameFormat_COPY_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, reinterpret_cast<PyTypeObject *>(Sbk_QVideoFrameFormat_TypeF())))
        return QVideoFrameFormat_PythonToCpp_QVideoFrameFormat_COPY;
    return {};
}

// The signatures string for the functions.
// Multiple signatures have their index "n:" in front.
static const char *QVideoFrameFormat_SignatureStrings[] = {
    "2:PySide6.QtMultimedia.QVideoFrameFormat(self)",
    "1:PySide6.QtMultimedia.QVideoFrameFormat(self,size:PySide6.QtCore.QSize,pixelFormat:PySide6.QtMultimedia.QVideoFrameFormat.PixelFormat)",
    "0:PySide6.QtMultimedia.QVideoFrameFormat(self,format:PySide6.QtMultimedia.QVideoFrameFormat)",
    "PySide6.QtMultimedia.QVideoFrameFormat.fragmentShaderFileName(self)->QString",
    "PySide6.QtMultimedia.QVideoFrameFormat.frameHeight(self)->int",
    "PySide6.QtMultimedia.QVideoFrameFormat.frameRate(self)->qreal",
    "PySide6.QtMultimedia.QVideoFrameFormat.frameSize(self)->PySide6.QtCore.QSize",
    "PySide6.QtMultimedia.QVideoFrameFormat.frameWidth(self)->int",
    "PySide6.QtMultimedia.QVideoFrameFormat.imageFormatFromPixelFormat(format:PySide6.QtMultimedia.QVideoFrameFormat.PixelFormat)->PySide6.QtGui.QImage.Format",
    "PySide6.QtMultimedia.QVideoFrameFormat.isMirrored(self)->bool",
    "PySide6.QtMultimedia.QVideoFrameFormat.isValid(self)->bool",
    "PySide6.QtMultimedia.QVideoFrameFormat.pixelFormat(self)->PySide6.QtMultimedia.QVideoFrameFormat.PixelFormat",
    "PySide6.QtMultimedia.QVideoFrameFormat.pixelFormatFromImageFormat(format:PySide6.QtGui.QImage.Format)->PySide6.QtMultimedia.QVideoFrameFormat.PixelFormat",
    "PySide6.QtMultimedia.QVideoFrameFormat.pixelFormatToString(pixelFormat:PySide6.QtMultimedia.QVideoFrameFormat.PixelFormat)->QString",
    "PySide6.QtMultimedia.QVideoFrameFormat.planeCount(self)->int",
    "PySide6.QtMultimedia.QVideoFrameFormat.scanLineDirection(self)->PySide6.QtMultimedia.QVideoFrameFormat.Direction",
    "PySide6.QtMultimedia.QVideoFrameFormat.setFrameRate(self,rate:qreal)",
    "1:PySide6.QtMultimedia.QVideoFrameFormat.setFrameSize(self,size:PySide6.QtCore.QSize)",
    "0:PySide6.QtMultimedia.QVideoFrameFormat.setFrameSize(self,width:int,height:int)",
    "PySide6.QtMultimedia.QVideoFrameFormat.setMirrored(self,mirrored:bool)",
    "PySide6.QtMultimedia.QVideoFrameFormat.setScanLineDirection(self,direction:PySide6.QtMultimedia.QVideoFrameFormat.Direction)",
    "PySide6.QtMultimedia.QVideoFrameFormat.setViewport(self,viewport:PySide6.QtCore.QRect)",
    "PySide6.QtMultimedia.QVideoFrameFormat.setYCbCrColorSpace(self,colorSpace:PySide6.QtMultimedia.QVideoFrameFormat.YCbCrColorSpace)",
    "PySide6.QtMultimedia.QVideoFrameFormat.swap(self,other:PySide6.QtMultimedia.QVideoFrameFormat)",
    "PySide6.QtMultimedia.QVideoFrameFormat.updateUniformData(self,dst:typing.Union[PySide6.QtCore.QByteArray, char*],frame:typing.Union[PySide6.QtMultimedia.QVideoFrame, PySide6.QtMultimedia.QVideoFrameFormat],transform:typing.Union[PySide6.QtGui.QMatrix4x4, PySide6.QtGui.QTransform],opacity:float)",
    "PySide6.QtMultimedia.QVideoFrameFormat.vertexShaderFileName(self)->QString",
    "PySide6.QtMultimedia.QVideoFrameFormat.viewport(self)->PySide6.QtCore.QRect",
    "PySide6.QtMultimedia.QVideoFrameFormat.yCbCrColorSpace(self)->PySide6.QtMultimedia.QVideoFrameFormat.YCbCrColorSpace",
    "PySide6.QtMultimedia.QVideoFrameFormat.__copy__()",
    nullptr}; // Sentinel

void init_QVideoFrameFormat(PyObject *module)
{
    _Sbk_QVideoFrameFormat_Type = Shiboken::ObjectType::introduceWrapperType(
        module,
        "QVideoFrameFormat",
        "QVideoFrameFormat",
        &Sbk_QVideoFrameFormat_spec,
        &Shiboken::callCppDestructor< ::QVideoFrameFormat >,
        0,
        0,
        0);
    auto *pyType = Sbk_QVideoFrameFormat_TypeF(); // references _Sbk_QVideoFrameFormat_Type
    InitSignatureStrings(pyType, QVideoFrameFormat_SignatureStrings);
    SbkObjectType_SetPropertyStrings(reinterpret_cast<PyTypeObject *>(_Sbk_QVideoFrameFormat_Type), Sbk_QVideoFrameFormat_PropertyStrings);
    SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_IDX]
        = Sbk_QVideoFrameFormat_TypeF();

    // Register Converter
    SbkConverter *converter = Shiboken::Conversions::createConverter(Sbk_QVideoFrameFormat_TypeF(),
        QVideoFrameFormat_PythonToCpp_QVideoFrameFormat_PTR,
        is_QVideoFrameFormat_PythonToCpp_QVideoFrameFormat_PTR_Convertible,
        QVideoFrameFormat_PTR_CppToPython_QVideoFrameFormat,
        QVideoFrameFormat_COPY_CppToPython_QVideoFrameFormat);

    Shiboken::Conversions::registerConverterName(converter, "QVideoFrameFormat");
    Shiboken::Conversions::registerConverterName(converter, "QVideoFrameFormat*");
    Shiboken::Conversions::registerConverterName(converter, "QVideoFrameFormat&");
    Shiboken::Conversions::registerConverterName(converter, typeid(::QVideoFrameFormat).name());

    // Add Python to C++ copy (value, not pointer neither reference) conversion to type converter.
    Shiboken::Conversions::addPythonToCppValueConversion(converter,
        QVideoFrameFormat_PythonToCpp_QVideoFrameFormat_COPY,
        is_QVideoFrameFormat_PythonToCpp_QVideoFrameFormat_COPY_Convertible);

    // Initialization of enums.

    // Initialization of enum 'PixelFormat'.
    SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX] = Shiboken::Enum::createScopedEnum(Sbk_QVideoFrameFormat_TypeF(),
        "PixelFormat",
        "2:PySide6.QtMultimedia.QVideoFrameFormat.PixelFormat",
        "QVideoFrameFormat::PixelFormat");
    if (!SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX])
        return;

    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_Invalid", (long) QVideoFrameFormat::PixelFormat::Format_Invalid))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_ARGB8888", (long) QVideoFrameFormat::PixelFormat::Format_ARGB8888))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_ARGB8888_Premultiplied", (long) QVideoFrameFormat::PixelFormat::Format_ARGB8888_Premultiplied))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_XRGB8888", (long) QVideoFrameFormat::PixelFormat::Format_XRGB8888))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_BGRA8888", (long) QVideoFrameFormat::PixelFormat::Format_BGRA8888))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_BGRA8888_Premultiplied", (long) QVideoFrameFormat::PixelFormat::Format_BGRA8888_Premultiplied))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_BGRX8888", (long) QVideoFrameFormat::PixelFormat::Format_BGRX8888))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_ABGR8888", (long) QVideoFrameFormat::PixelFormat::Format_ABGR8888))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_XBGR8888", (long) QVideoFrameFormat::PixelFormat::Format_XBGR8888))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_RGBA8888", (long) QVideoFrameFormat::PixelFormat::Format_RGBA8888))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_RGBX8888", (long) QVideoFrameFormat::PixelFormat::Format_RGBX8888))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_AYUV", (long) QVideoFrameFormat::PixelFormat::Format_AYUV))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_AYUV_Premultiplied", (long) QVideoFrameFormat::PixelFormat::Format_AYUV_Premultiplied))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_YUV420P", (long) QVideoFrameFormat::PixelFormat::Format_YUV420P))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_YUV422P", (long) QVideoFrameFormat::PixelFormat::Format_YUV422P))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_YV12", (long) QVideoFrameFormat::PixelFormat::Format_YV12))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_UYVY", (long) QVideoFrameFormat::PixelFormat::Format_UYVY))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_YUYV", (long) QVideoFrameFormat::PixelFormat::Format_YUYV))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_NV12", (long) QVideoFrameFormat::PixelFormat::Format_NV12))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_NV21", (long) QVideoFrameFormat::PixelFormat::Format_NV21))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_IMC1", (long) QVideoFrameFormat::PixelFormat::Format_IMC1))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_IMC2", (long) QVideoFrameFormat::PixelFormat::Format_IMC2))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_IMC3", (long) QVideoFrameFormat::PixelFormat::Format_IMC3))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_IMC4", (long) QVideoFrameFormat::PixelFormat::Format_IMC4))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_Y8", (long) QVideoFrameFormat::PixelFormat::Format_Y8))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_Y16", (long) QVideoFrameFormat::PixelFormat::Format_Y16))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_P010", (long) QVideoFrameFormat::PixelFormat::Format_P010))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_P016", (long) QVideoFrameFormat::PixelFormat::Format_P016))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_SamplerExternalOES", (long) QVideoFrameFormat::PixelFormat::Format_SamplerExternalOES))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_Jpeg", (long) QVideoFrameFormat::PixelFormat::Format_Jpeg))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "Format_SamplerRect", (long) QVideoFrameFormat::PixelFormat::Format_SamplerRect))
        return;
    // Register converter for enum 'QVideoFrameFormat::PixelFormat'.
    {
        SbkConverter *converter = Shiboken::Conversions::createConverter(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX],
            QVideoFrameFormat_PixelFormat_CppToPython_QVideoFrameFormat_PixelFormat);
        Shiboken::Conversions::addPythonToCppValueConversion(converter,
            QVideoFrameFormat_PixelFormat_PythonToCpp_QVideoFrameFormat_PixelFormat,
            is_QVideoFrameFormat_PixelFormat_PythonToCpp_QVideoFrameFormat_PixelFormat_Convertible);
        Shiboken::Enum::setTypeConverter(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_PIXELFORMAT_IDX], converter, false);
        Shiboken::Conversions::registerConverterName(converter, "QVideoFrameFormat::PixelFormat");
        Shiboken::Conversions::registerConverterName(converter, "PixelFormat");
    }
    // End of 'PixelFormat' enum.

    // Initialization of enum 'Direction'.
    SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_DIRECTION_IDX] = Shiboken::Enum::createScopedEnum(Sbk_QVideoFrameFormat_TypeF(),
        "Direction",
        "2:PySide6.QtMultimedia.QVideoFrameFormat.Direction",
        "QVideoFrameFormat::Direction");
    if (!SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_DIRECTION_IDX])
        return;

    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_DIRECTION_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "TopToBottom", (long) QVideoFrameFormat::Direction::TopToBottom))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_DIRECTION_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "BottomToTop", (long) QVideoFrameFormat::Direction::BottomToTop))
        return;
    // Register converter for enum 'QVideoFrameFormat::Direction'.
    {
        SbkConverter *converter = Shiboken::Conversions::createConverter(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_DIRECTION_IDX],
            QVideoFrameFormat_Direction_CppToPython_QVideoFrameFormat_Direction);
        Shiboken::Conversions::addPythonToCppValueConversion(converter,
            QVideoFrameFormat_Direction_PythonToCpp_QVideoFrameFormat_Direction,
            is_QVideoFrameFormat_Direction_PythonToCpp_QVideoFrameFormat_Direction_Convertible);
        Shiboken::Enum::setTypeConverter(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_DIRECTION_IDX], converter, false);
        Shiboken::Conversions::registerConverterName(converter, "QVideoFrameFormat::Direction");
        Shiboken::Conversions::registerConverterName(converter, "Direction");
    }
    // End of 'Direction' enum.

    // Initialization of enum 'YCbCrColorSpace'.
    SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX] = Shiboken::Enum::createScopedEnum(Sbk_QVideoFrameFormat_TypeF(),
        "YCbCrColorSpace",
        "2:PySide6.QtMultimedia.QVideoFrameFormat.YCbCrColorSpace",
        "QVideoFrameFormat::YCbCrColorSpace");
    if (!SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX])
        return;

    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "YCbCr_Undefined", (long) QVideoFrameFormat::YCbCrColorSpace::YCbCr_Undefined))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "YCbCr_BT601", (long) QVideoFrameFormat::YCbCrColorSpace::YCbCr_BT601))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "YCbCr_BT709", (long) QVideoFrameFormat::YCbCrColorSpace::YCbCr_BT709))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "YCbCr_xvYCC601", (long) QVideoFrameFormat::YCbCrColorSpace::YCbCr_xvYCC601))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "YCbCr_xvYCC709", (long) QVideoFrameFormat::YCbCrColorSpace::YCbCr_xvYCC709))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "YCbCr_JPEG", (long) QVideoFrameFormat::YCbCrColorSpace::YCbCr_JPEG))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX],
        Sbk_QVideoFrameFormat_TypeF(), "YCbCr_BT2020", (long) QVideoFrameFormat::YCbCrColorSpace::YCbCr_BT2020))
        return;
    // Register converter for enum 'QVideoFrameFormat::YCbCrColorSpace'.
    {
        SbkConverter *converter = Shiboken::Conversions::createConverter(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX],
            QVideoFrameFormat_YCbCrColorSpace_CppToPython_QVideoFrameFormat_YCbCrColorSpace);
        Shiboken::Conversions::addPythonToCppValueConversion(converter,
            QVideoFrameFormat_YCbCrColorSpace_PythonToCpp_QVideoFrameFormat_YCbCrColorSpace,
            is_QVideoFrameFormat_YCbCrColorSpace_PythonToCpp_QVideoFrameFormat_YCbCrColorSpace_Convertible);
        Shiboken::Enum::setTypeConverter(SbkPySide6_QtMultimediaTypes[SBK_QVIDEOFRAMEFORMAT_YCBCRCOLORSPACE_IDX], converter, false);
        Shiboken::Conversions::registerConverterName(converter, "QVideoFrameFormat::YCbCrColorSpace");
        Shiboken::Conversions::registerConverterName(converter, "YCbCrColorSpace");
    }
    // End of 'YCbCrColorSpace' enum.

    qRegisterMetaType< ::QVideoFrameFormat >("QVideoFrameFormat");
    qRegisterMetaType< ::QVideoFrameFormat::PixelFormat >("QVideoFrameFormat::PixelFormat");
    qRegisterMetaType< ::QVideoFrameFormat::Direction >("QVideoFrameFormat::Direction");
    qRegisterMetaType< ::QVideoFrameFormat::YCbCrColorSpace >("QVideoFrameFormat::YCbCrColorSpace");
}

void init_QVideoFrameFormatStaticFields()
{
    auto dict = reinterpret_cast<PyTypeObject *>(Sbk_QVideoFrameFormat_TypeF())->tp_dict;
    PyDict_SetItemString(dict, "NPixelFormats",
                         Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<int>(), &QVideoFrameFormat::NPixelFormats));

}
